## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-02-26
version: "2.3"
services:
  watchtower:
    container_name: watchtower
    image: containrrr/watchtower:amd64-latest
    restart: unless-stopped
    environment:
      - TZ=Europe/Paris
      - WATCHTOWER_SCHEDULE= 0 0 6 * * *    #mise a jour des conteneurs tous les jours a 6:00
      - WATCHTOWER_LABEL_ENABLE=true
      - WATCHTOWER_CLEANUP=true
      - WATCHTOWER_REMOVE_VOLUMES=true
      - WATCHTOWER_NOTIFICATIONS_LEVEL=debug
#Les 3 lignes dessous sont a utiliser pour être notifié par Gotify
#      - WATCHTOWER_NOTIFICATIONS=gotify
#      - WATCHTOWER_NOTIFICATION_GOTIFY_URL=https://gotify.ndd.fr
#      - WATCHTOWER_NOTIFICATION_GOTIFY_TOKEN= 
      - WATCHTOWER_ROLLING_RESTART=true
      - WATCHTOWER_LIFECYCLE_HOOKS=true
#Les 3 lignes dessous sont a utiliser pour être notifié par SLACK/DISCORD     
#     - WATCHTOWER_NOTIFICATIONS=slack       #si discord laissé slack
#     - WATCHTOWER_NOTIFICATION_SLACK_IDENTIFIER=Watchtower
#     - WATCHTOWER_NOTIFICATION_SLACK_HOOK_URL=URL-DU-TOKEN/slack    #si discord laissé /slack
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
    network_mode: 'watchtower_network'